package com.ruoyi.project.asset.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 漏点巡检记录 对象 t_leakage_points_record
 * 
 * @author ruoyi
 * @date 2024-04-01
 */
public class TLeakagePointsRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 巡检id */
    @Excel(name = "巡检id")
    private Long patrolId;

    /** 漏点编号 */
    @Excel(name = "漏点编号")
    private String pointNo;

    /** 泄漏位置 */
    @Excel(name = "泄漏位置")
    private String leakagePosition;

    /** 介质 */
    @Excel(name = "介质")
    private String leakageMedium;

    /** 挂牌 */
    @Excel(name = "挂牌")
    private String suspendPlateM;

    /** 泄露状态 */
    @Excel(name = "泄露状态")
    private String leakageStatusM;

    /** 挂牌 */
    @Excel(name = "挂牌")
    private String suspendPlateN;

    /** 泄露状态 */
    @Excel(name = "泄露状态")
    private String leakageStatusN;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 删除标识 */
    private Integer delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 更新人 */
    @Excel(name = "更新人")
    private String updaterCode;

    /** 更新日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setPatrolId(Long patrolId) 
    {
        this.patrolId = patrolId;
    }

    public Long getPatrolId() 
    {
        return patrolId;
    }
    public void setPointNo(String pointNo) 
    {
        this.pointNo = pointNo;
    }

    public String getPointNo() 
    {
        return pointNo;
    }
    public void setLeakagePosition(String leakagePosition) 
    {
        this.leakagePosition = leakagePosition;
    }

    public String getLeakagePosition() 
    {
        return leakagePosition;
    }
    public void setLeakageMedium(String leakageMedium) 
    {
        this.leakageMedium = leakageMedium;
    }

    public String getLeakageMedium() 
    {
        return leakageMedium;
    }
    public void setSuspendPlateM(String suspendPlateM) 
    {
        this.suspendPlateM = suspendPlateM;
    }

    public String getSuspendPlateM() 
    {
        return suspendPlateM;
    }
    public void setLeakageStatusM(String leakageStatusM) 
    {
        this.leakageStatusM = leakageStatusM;
    }

    public String getLeakageStatusM() 
    {
        return leakageStatusM;
    }
    public void setSuspendPlateN(String suspendPlateN) 
    {
        this.suspendPlateN = suspendPlateN;
    }

    public String getSuspendPlateN() 
    {
        return suspendPlateN;
    }
    public void setLeakageStatusN(String leakageStatusN) 
    {
        this.leakageStatusN = leakageStatusN;
    }

    public String getLeakageStatusN() 
    {
        return leakageStatusN;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode) 
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode() 
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate) 
    {
        this.createdate = createdate;
    }

    public Date getCreatedate() 
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode) 
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode() 
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate) 
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate() 
    {
        return updatedate;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("patrolId", getPatrolId())
            .append("pointNo", getPointNo())
            .append("leakagePosition", getLeakagePosition())
            .append("leakageMedium", getLeakageMedium())
            .append("suspendPlateM", getSuspendPlateM())
            .append("leakageStatusM", getLeakageStatusM())
            .append("suspendPlateN", getSuspendPlateN())
            .append("leakageStatusN", getLeakageStatusN())
            .append("remarks", getRemarks())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .toString();
    }
}
